Bug 171529 - nptl segv's using pthread_kill
Summary: nptl segv's using pthread_kill
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-22 12:54 UTC by Angelo
Modified: 2008-05-09 17:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-23 07:05:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase (1.72 KB, text/x-csrc)
2005-10-22 12:54 UTC, Angelo
no flags Details

Description Angelo 2005-10-22 12:54:16 UTC
Description of problem:
nptl thread segv's when killed

How reproducible: Sometimes


Steps to Reproduce:
1. run test code
2.
3.
  
Actual results:
Segmentation fault

Expected results:
live gracefully

Comment 1 Angelo 2005-10-22 12:54:16 UTC
Created attachment 120280 [details]
testcase

Comment 2 Jakub Jelinek 2005-10-23 07:05:43 UTC
I haven't been able to reproduce it yet, but the testcase is certainly buggy.
See
http://www.opengroup.org/onlinepubs/009695399/functions/xsh_chap02_04.html#tag_02_04_03
None of the calls you make in sig_handler are allowed in signal handlers,
none of printf, exit, pthread_self and pthread_exit are async-signal safe
functions.
E.g. when thread_function enters pthread_exit call in it and a signal comes in,
a crash is very much expected.


Note You need to log in before you can comment on or make changes to this bug.